---
- name: 'Reload uffd services'
  become: true
  ansible.builtin.service:
    daemon_reload: true

- name: 'Restart uffd network'
  become: true
  ansible.builtin.service:
    name: '{{ uffd_podman_network }}-network'
    state: 'restarted'

- name: 'Restart uffd volumes'
  become: true
  ansible.builtin.service:
    name: '{{ item }}-volume'
    state: 'restarted'
  loop:
    - '{{ uffd_static_files_volume }}'
    - '{{ uffd_data_volume }}'

- name: 'Restart uffd container'
  become: true
  ansible.builtin.service:
    name: 'uffd-app'
    state: 'restarted'

- name: 'Restart uffd-nginx image'
  become: true
  ansible.builtin.service:
    name: 'uffd-nginx-image.service'
    state: 'restarted'

- name: 'Restart uffd-nginx container'
  become: true
  ansible.builtin.service:
    name: 'uffd-nginx'
    state: 'restarted'
